This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 807496 - rpmquery --info no longer works
rpmquery --info no longer works
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 20:33 EDT by Hal Duston
Modified: 2013-02-13 16:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 896148 (view as bug list)
Environment:
Last Closed: 2013-02-13 16:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hal Duston 2012-03-27 20:33:35 EDT
Description of problem: 
rpmquery --info gives "unknown option"

Version-Release number of selected component (if applicable): 
4.9.1.2-6.fc12

How reproducible: 
Always

Steps to Reproduce:
1. rpmquery --info rpm  <-- Doesn't work
2. rpm -q --info rpm  <-- Works
3.
  
Actual results:
rpmquery: --info: unknown option

Expected results:
Name        : rpm
Version     : 4.9.1.2
Release     : 6.fc16
Architecture: x86_64
Install Date: Wed 14 Mar 2012 09:57:34 PM CDT
Group       : System Environment/Base
Size        : 2051836
License     : GPLv2+
Signature   : RSA/SHA256, Wed 07 Mar 2012 02:23:43 PM CST, Key ID 067f00b6a82ba4b7
Source RPM  : rpm-4.9.1.2-6.fc16.src.rpm
Build Date  : Wed 07 Mar 2012 05:29:14 AM CST
Build Host  : x86-15.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project
URL         : http://www.rpm.org/
Summary     : The RPM package management system
Description :
The RPM Package Manager (RPM) is a powerful command line driven
package management system capable of installing, uninstalling,
verifying, querying, and updating software packages. Each software
package consists of an archive of files along with information about
the package like its version, a description, etc.
[hald@medusa ~]$ 

Additional info:
Comment 1 Fedora End Of Life 2013-01-16 12:03:10 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 16:24:40 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.